Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_ConsumerAdmin Class Reference

ConsumerAdmin. More...

`#include <CEC_ConsumerAdmin.h>`

Collaboration diagram for TAO_CEC_ConsumerAdmin:

[legend]
List of all members.

## Public Methods
| TAO_CEC_ConsumerAdmin (TAO_CEC_EventChannel *event_channel)
| constructor. More...
virtual | ~TAO_CEC_ConsumerAdmin (void)
| destructor... More...
void | for_each (TAO_ESF_Worker< TAO_CEC_ProxyPushSupplier > *worker ACE_ENV_ARG_DECL)
| For each elements call <worker->work()>. More...
void | for_each (TAO_ESF_Worker< TAO_CEC_ProxyPullSupplier > *worker ACE_ENV_ARG_DECL)
void | push (const CORBA::Any &event ACE_ENV_ARG_DECL)
| Push the event to all the consumers. More...
virtual void | connected (TAO_CEC_ProxyPushSupplier *ACE_ENV_ARG_DECL_NOT_USED)
| Used to inform the EC that a Supplier has connected or disconnected from it. More...
virtual void | reconnected (TAO_CEC_ProxyPushSupplier *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | disconnected (TAO_CEC_ProxyPushSupplier *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | connected (TAO_CEC_ProxyPullSupplier *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | reconnected (TAO_CEC_ProxyPullSupplier *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | disconnected (TAO_CEC_ProxyPullSupplier *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
| The event channel is shutting down, inform all the consumers of this. More...
virtual CosEventChannelAdmin::ProxyPushSupplier_ptr | obtain_push_supplier (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosEventChannelAdmin::ProxyPullSupplier_ptr | obtain_pull_supplier (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual PortableServer::POA_ptr | _default_POA (ACE_ENV_SINGLE_ARG_DECL)
## Private Attributes
TAO_CEC_EventChannel * | event_channel_
| The Event Channel we belong to. More...
PortableServer::POA_var | default_POA_
| Store the default POA. More...
TAO_ESF_Proxy_Admin< TAO_CEC_EventChannel, TAO_CEC_ProxyPushSupplier, CosEventChannelAdmin::ProxyPushSupplier > | push_admin_
| Implement the push side of this class. More...
TAO_ESF_Proxy_Admin< TAO_CEC_EventChannel, TAO_CEC_ProxyPullSupplier, CosEventChannelAdmin::ProxyPullSupplier > | pull_admin_
| Implement the pull side of this class. More...

## Detailed Description

ConsumerAdmin.

Implements the ConsumerAdmin interface, i.e. the factory for ProxyPushSupplier objects. = MEMORY MANAGMENT It does not assume ownership of the TAO_CEC_EventChannel object; but it *does* assume ownership of the TAO_CEC_ProxyPushSupplier_Set object. = LOCKING No provisions for locking, access must be serialized externally. = TODO

## Constructor & Destructor Documentation

TAO_CEC_ConsumerAdmin::TAO_CEC_ConsumerAdmin | ( | TAO_CEC_EventChannel * | ec | ) |

| constructor. If <supplier_set> is nil then it builds one using the <event_channel> argument. In any case it assumes ownership.

TAO_CEC_ConsumerAdmin::~TAO_CEC_ConsumerAdmin | ( | void |  | ) | `[virtual]`

| destructor...

## Member Function Documentation

PortableServer::POA_ptr TAO_CEC_ConsumerAdmin::_default_POA | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

virtual void TAO_CEC_ConsumerAdmin::connected | ( | TAO_CEC_ProxyPullSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual void TAO_CEC_ConsumerAdmin::connected | ( | TAO_CEC_ProxyPushSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Used to inform the EC that a Supplier has connected or disconnected from it.

virtual void TAO_CEC_ConsumerAdmin::disconnected | ( | TAO_CEC_ProxyPullSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual void TAO_CEC_ConsumerAdmin::disconnected | ( | TAO_CEC_ProxyPushSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

ACE_INLINE void TAO_CEC_ConsumerAdmin::for_each | ( | TAO_ESF_Worker< TAO_CEC_ProxyPullSupplier > *worker | ACE_ENV_ARG_DECL | ) |

ACE_INLINE void TAO_CEC_ConsumerAdmin::for_each | ( | TAO_ESF_Worker< TAO_CEC_ProxyPushSupplier > *worker | ACE_ENV_ARG_DECL | ) |

| For each elements call <worker->work()>.

CosEventChannelAdmin::ProxyPullSupplier_ptr TAO_CEC_ConsumerAdmin::obtain_pull_supplier | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

CosEventChannelAdmin::ProxyPushSupplier_ptr TAO_CEC_ConsumerAdmin::obtain_push_supplier | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_CEC_ConsumerAdmin::push | ( | const CORBA::Any &event | ACE_ENV_ARG_DECL | ) |

| Push the event to all the consumers.

virtual void TAO_CEC_ConsumerAdmin::reconnected | ( | TAO_CEC_ProxyPullSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual void TAO_CEC_ConsumerAdmin::reconnected | ( | TAO_CEC_ProxyPushSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

void TAO_CEC_ConsumerAdmin::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | `[virtual]`

| The event channel is shutting down, inform all the consumers of this.

## Member Data Documentation

PortableServer::POA_var TAO_CEC_ConsumerAdmin::default_POA_`[private]`

| Store the default POA.

TAO_CEC_EventChannel* TAO_CEC_ConsumerAdmin::event_channel_`[private]`

| The Event Channel we belong to.

TAO_ESF_Proxy_Admin<TAO_CEC_EventChannel,TAO_CEC_ProxyPullSupplier,CosEventChannelAdmin::ProxyPullSupplier> TAO_CEC_ConsumerAdmin::pull_admin_`[private]`

| Implement the pull side of this class.

TAO_ESF_Proxy_Admin<TAO_CEC_EventChannel,TAO_CEC_ProxyPushSupplier,CosEventChannelAdmin::ProxyPushSupplier> TAO_CEC_ConsumerAdmin::push_admin_`[private]`

| Implement the push side of this class.

The documentation for this class was generated from the following files:

- CEC_ConsumerAdmin.h
- CEC_ConsumerAdmin.cpp
- CEC_ConsumerAdmin.i